.emodal_form{
    display: none;
    position: fixed;
    margin: auto;
    left: 0;
    right: 0;
    bottom: 0;
    top:0;
    z-index: 101;
    width: 400px;
    height: 472px;
    background-color: #fff;
    box-shadow: 0px 6px 13px rgb(0 0 0 / 10%);
}
.emodal_form.open_msg_wrp {
    height: 200px;
}
.emodal_form.open_msg_wrp form {
    display: none;
}
.block_buy_on_click .background{
    content: "";
    position: fixed;
    left: 0;
    right: 0;
    z-index: 100;
    bottom: 0;
    top: 0;
    background: rgba(0, 0, 0, .18);
    display: none;
}
.emodal_form .emodal-title span{

}
.emodal_form .emodal_content input.btn {
    height: 40px;
    border: 0;
    max-width: 190px;
    margin: 0 auto;
    float: none;
    padding: 0;
}
.emodal_form .emodal_content {
    padding: 40px;
    background-color: #fff;
    position: relative;
    padding-top: 0px;
    padding-bottom: 23px;
}
.emodal_form .emodal-title .emodal_content input[type='text'],
.emodal_form .emodal-title .emodal_content input[type='text']::selection{
    color: #000;
    outline: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    padding: 0 10px;
    line-height: 35px;
}
.emodal_form .emodal_content input[type='text']::-webkit-input-placeholder {color:#9e9e9e;}
.emodal_form .emodal_content input[type='text']::-moz-placeholder          {color:#9e9e9e;}/* Firefox 19+ */
.emodal_form .emodal_content input[type='text']:-moz-placeholder           {color:#9e9e9e;}/* Firefox 18- */
.emodal_form .emodal_content input[type='text']:-ms-input-placeholder      {color:#9e9e9e;}

.emodal_form .emodal_content input[type='text'].error::-webkit-input-placeholder {color:#F44336;}
.emodal_form .emodal_content input[type='text'].error::-moz-placeholder          {color:#F44336;}/* Firefox 19+ */
.emodal_form .emodal_content input[type='text'].error:-moz-placeholder           {color:#F44336;}/* Firefox 18- */
.emodal_form .emodal_content input[type='text'].error:-ms-input-placeholder      {color:#F44336;}
#wrp_msg{
    position: absolute;
    width: 100%;
    height: 100%;
    text-align: center;
    top: -1px;
    left: 0;
    background-color: #fff;
    z-index: 5;
    display: none;
}
#wrp_msg.open_msg{
    display: flex;
    line-height: 18px;
    justify-content: center;
    align-items: center;
    height: 200px;
    padding-top: 34px;
}
#wrp_msg span{
    position: relative;
    top: 5%;
    font-size: 16px;
    color: var(--main_font_color);
}
#wrp_msg span:before {
    position: absolute;
    content: '';
    background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='76' height='76' viewBox='0 0 76 76' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3ccircle cx='38' cy='38' r='37' fill='%2391D667' fill-opacity='0.08' stroke='%2391D667' stroke-width='2'/%3e%3cpath d='M60.2317 23.9967L33.556 50.6724L21.4997 38.6161' stroke='%2391D667' stroke-width='2'/%3e%3c/svg%3e");
    width: 76px;
    height: 76px;
    background-size: contain;
    top: -105px;
    left: 50%;
    transform: translateX(-58%);
}
.pk_wrp{
    text-align: left;
}
.emodal_form .emodal-title .pk_wrp label{
    display: block;
}
.emodal_form .emodal_content .pk_wrp input[type='checkbox'] {
    width: auto;
    margin: 0;
    height: auto;
    position: relative;
    top: -16px;
    left: 10px
}
.emodal_form .emodal-title .pk_wrp a{
    font-size: 12px;
    font-weight: normal;
    text-transform: none;
    width: 80%;
    color: #2AC64F;
    line-height: 13px;
    text-align: left;
}
.emodal_form .emodal-title .pk_wrp a:hover{
    color: #0CA02F;
}
.emodal_form .emodal-title .pk_wrp.error a{
    color:#F44336;
}

#OneClickEmodal #close_onebay.mdi-close{
  position: absolute;
  top: 0px;
  right: 0px;
  bottom: 0;
  z-index: 150;
  display: block;
  width: 50px;
  height: 50px;
  background-image: url("data:image/svg+xml,%3Csvg width='26' height='26' viewBox='0 0 26 26' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M20.0025 18.7714L14.1557 12.9246L20.0025 7.07774L18.7716 5.84683L12.9248 11.6937L7.07798 5.84683L5.84707 7.07774L11.6939 12.9246L5.84707 18.7714L7.07798 20.0023L12.9248 14.1555L18.7716 20.0023L20.0025 18.7714Z' fill='%233D4158'/%3E%3C/svg%3E%0A");
  opacity: 0.7;
  cursor: pointer;
  transition: all 300ms ease;
  background-repeat: no-repeat;
  background-position: 50%;
}
#OneClickEmodal #close_onebay.mdi-close:hover{
  opacity: 1;
}
#OneClickEmodal #close_onebay.mdi-close:active{
  opacity: 1;
}

#OneClickEmodal .emodal-title{
  padding-top: 44px;
  padding-bottom: 26px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 800;
  font-size: 24px;
  color: var(--main_font_color);
}

#OneClickEmodal.emodal_form .emodal_content .pk_wrp input[type='checkbox']{
  display: none;
}
#OneClickEmodal.emodal_form .emodal_content .pk_wrp input[type='checkbox'] + .main-user-consent-request-announce{
  font-size: 12px;
}
#OneClickEmodal.emodal_form .emodal_content .pk_wrp input[type='checkbox']:checked + .main-user-consent-request-announce:before{
  background-color: #606DA6;
  content: "";
  background-image: url("data:image/svg+xml,%3Csvg width='12' height='9' viewBox='0 0 12 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M10.6668 1.5L4.25016 7.91667L1.3335 5' stroke='white' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
  background-size: 75% 75%;
  background-repeat: no-repeat;
  background-position: center;
  border: none;
}
#OneClickEmodal.emodal_form .main-user-consent-request-announce:before{
  color: #fff;
  background-color: #fff;
	border: 1px solid #C3CBCD;
  position: relative;
  top: 2px;
}

#OneClickEmodal .form_inputs{
  display: flex;
  flex-direction: column;
}
#OneClickEmodal .form_inputs input{
    border: 0.5px solid #cccccc;
    outline: none;
    padding: 10px;
    color: var(--main_font_color);
    font-size: 12px;
    height: 44px;
}
#OneClickEmodal .form_inputs input:focus{
    border: 0.5px solid var(--main_color);
}
#OneClickEmodal .form_inputs input:nth-child(3){
  margin-bottom: 12px;
}
#OneClickEmodal .form_inputs input:last-child{
  margin-bottom: 30px;
}
#OneClickEmodal .btn{
  padding: 8px 12px 8px 12px;
  background-color: var(--main_color);
  font-size: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  position: relative;
  width: 140px;
  height: 36px;
  line-height: 1;
  transition: .3s;
  top: 0;
  margin-top: 30px;
}
#OneClickEmodal .btn:hover{
  background-color: var(--main_color_hover);
}
#OneClickEmodal .btn:active{
  background-color: var(--main_color_active);
}
#one-click-btn-send[disabled]{
  color: #fff!important;
  background-color: #C1C1C1!important;
  pointer-events: none;
  cursor: default!important;
  opacity: 1!important;
}
.one_click_link{
  font-size: 10px;
  line-height: 12px;
  text-transform: uppercase;
  color: #4777E2;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 20px 0;
  border-top: 0.5px solid #DFE2ED;
}

@media (max-width: 576px) {
    .emodal_form {
        max-width: 95%;
    }
}
